summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSage Weil <sage@inktank.com>2013-05-30 17:23:36 -0700
committerSage Weil <sage@inktank.com>2013-05-30 17:23:36 -0700
commitcf9aa7a0037e56eada8b3c1bb59d59d0bfe7bba5 (patch)
tree95ec0bc396e60eb829578b88e06154bfe3fff458
parenta40010534fd2d89eba3991f305089c35f02f2cad (diff)
downloadceph-cf9aa7a0037e56eada8b3c1bb59d59d0bfe7bba5.tar.gz
debian: guard upstart {start,stop} with -x check
Sigh. Signed-off-by: Sage Weil <sage@inktank.com>
-rw-r--r--debian/ceph-mds.postinst2
-rw-r--r--debian/ceph-mds.prerm2
-rw-r--r--debian/ceph.postinst2
-rw-r--r--debian/ceph.prerm2
-rw-r--r--debian/radosgw.postinst2
-rw-r--r--debian/radosgw.prerm2
6 files changed, 6 insertions, 6 deletions
diff --git a/debian/ceph-mds.postinst b/debian/ceph-mds.postinst
index a22c5169713..66b3b5fc2d7 100644
--- a/debian/ceph-mds.postinst
+++ b/debian/ceph-mds.postinst
@@ -21,7 +21,7 @@ set -e
case "$1" in
configure)
- start ceph-mds-all || true
+ [ -x /sbin/start ] && start ceph-mds-all || :
;;
abort-upgrade|abort-remove|abort-deconfigure)
:
diff --git a/debian/ceph-mds.prerm b/debian/ceph-mds.prerm
index 3c5f5cf142a..654518a7d55 100644
--- a/debian/ceph-mds.prerm
+++ b/debian/ceph-mds.prerm
@@ -5,7 +5,7 @@ set -e
case "$1" in
remove)
- stop ceph-mds-all || true
+ [ -x /sbin/stop ] && stop ceph-mds-all || :
invoke-rc.d ceph stop mds || {
RESULT=$?
if [ $RESULT != 100 ]; then
diff --git a/debian/ceph.postinst b/debian/ceph.postinst
index 98ab9b5ff72..5d64f640b99 100644
--- a/debian/ceph.postinst
+++ b/debian/ceph.postinst
@@ -28,7 +28,7 @@ set -e
case "$1" in
configure)
rm -f /etc/init/ceph.conf
- start ceph-all || true
+ [ -x /sbin/start ] && start ceph-all || :
;;
abort-upgrade|abort-remove|abort-deconfigure)
:
diff --git a/debian/ceph.prerm b/debian/ceph.prerm
index 074ddf62302..bfd7d3d6fb2 100644
--- a/debian/ceph.prerm
+++ b/debian/ceph.prerm
@@ -5,7 +5,7 @@ set -e
case "$1" in
remove)
- stop ceph-all || true
+ [ -x /sbin/stop ] && stop ceph-all || true
invoke-rc.d ceph stop || {
RESULT=$?
if [ $RESULT != 100 ]; then
diff --git a/debian/radosgw.postinst b/debian/radosgw.postinst
index afc7dd39a84..f3468bc60bf 100644
--- a/debian/radosgw.postinst
+++ b/debian/radosgw.postinst
@@ -27,7 +27,7 @@ set -e
case "$1" in
configure)
- start radosgw-all || true
+ [ -x /sbin/start ] && start radosgw-all || :
;;
abort-upgrade|abort-remove|abort-deconfigure)
:
diff --git a/debian/radosgw.prerm b/debian/radosgw.prerm
index b0b0498bd89..4120fb6272c 100644
--- a/debian/radosgw.prerm
+++ b/debian/radosgw.prerm
@@ -5,7 +5,7 @@ set -e
case "$1" in
remove)
- stop radosgw-all || true
+ [ -x /sbin/stop ] && stop radosgw-all || true
invoke-rc.d radosgw stop || {
RESULT=$?
if [ $RESULT != 100 ]; then